// Yet Another Units Library (YANL) - A C++ library for zero-overhead
// dimensional analysis and unit manipulation/conversion.
// 
// Copyright (C) 2003 Matthias Christian Schabel
// 
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
// 
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
// Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

#ifndef MCS_ABCDE_UNITS_HPP
#define MCS_ABCDE_UNITS_HPP

#include <mcs/units/ABC_units.hpp>
#include <mcs/units/DE_units.hpp>

namespace mcs {

namespace units { 

struct ABCDEModel :
    public ABCUnitModel<ABCDEModel>,
    public DEUnitModel<ABCDEModel>
{ };

template<> 
struct UnitInfo<ABCDEModel,a_tag> :
    public UnitInfo<ABCModel,a_tag>
{ };
	
template<> 
struct UnitInfo<ABCDEModel,b_tag> :
    public UnitInfo<ABCModel,b_tag>
{ };
	
template<> 
struct UnitInfo<ABCDEModel,c_tag> :
    public UnitInfo<ABCModel,c_tag>
{ };
	
template<> 
struct UnitInfo<ABCDEModel,d_tag> :
    public UnitInfo<DEModel,d_tag>
{ };
	
template<> 
struct UnitInfo<ABCDEModel,e_tag> :
    public UnitInfo<DEModel,e_tag>
{ };
	
template<class Y>
struct ABCDE :
    public ABCQuantityModel<Y,ABCDEModel>,
    public DEQuantityModel<Y,ABCDEModel>
{ };

} // namespace units

} // namespace mcs

#endif // MCS_ABCDE_UNITS_HPP
