// Yet Another Units Library (YANL) - A C++ library for zero-overhead
// dimensional analysis and unit manipulation/conversion.
// 
// Copyright (C) 2003 Matthias Christian Schabel
// 
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
// 
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
// Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

#include <iostream>

#include <mcs/units/dimensioned_io.hpp>

#include <mcs/units/ABCDE_units.hpp>

using namespace mcs;
using namespace mcs::units;

int main()
{
    ABC<double>::A  a(1);
    ABC<double>::B  b(2);
    ABC<double>::C  c(3);
    
    DE<double>::D   d(4);
    DE<double>::E   e(5);
    
    ABCDE<double>::A   ma(a);
    ABCDE<double>::B   mb(b);
    ABCDE<double>::C   mc(c);
    ABCDE<double>::D   md(d);
    ABCDE<double>::E   me(e);
    
    std::cout << a*b/c << std::endl
              << d*e << std::endl
              << (ma*mb/mc)/(md*me) << std::endl
              << std::endl;
    
    return 0;
}
